Alert Level 2 - Our Helpdesk is fully operational from 7am - 9pm.
Need help? Call 0800 484 363. 

What programming languages and databases are supported?

At present new webhosts have available the following major versions of software:

  • Debian GNU/Linux 10 "Buster" (64 bit), with Linux kernel 4.19, on a system with at least 2 cores and 4 gigabytes of RAM
  • Apache HTTPD 2.4, including mod_expires, mod_headers, mod_rewrite, and many other standard useful modules. If we do not support a module you need, feel free to contact us to ask if we can install it for you.
  • MariaDB 10 (MySQL compatible), listening on localhost only
  • PHP 7.3 via mod_php (presently) or PHP-FPM (coming soon), including MySQL interfaces (MySQLi, and PDO), SQLite with PDO, cURL, FFmpeg, GD, and ImageMagick. We will consider extra modules if they are standard and well-supported on customer request.

This software will easily support modern content management systems like WordPress, Drupal, or Joomla, and the vast majority of the plugins/extensions to these systems. If an extension to your system does not work on your hosting, you can always contact us to see if we can sort it out.